:-) 🏕

複数環境構築のためにLernaを使う、が

October 02, 2017

TL;DR

  • 期待通りに動かない

npm or yarn

  • npmClient を指定できるようだが、yarn を指定すると永遠にインストールが終わらない問題に出くわす

  • npm v5

    • 何故か lerna を通してやると dependencies が root に展開されず見つからない場合がある
    • ディレクトリ直下でやると問題ない場合がある
    • バグっている気持ち

lerna bootstrap

  • 共通 package とは、本当はディレクトリ直下で行いたいができていないようにみえる

    • lerna version 2.2.0
    • 結局複数 install を求められるものがある?
    • eslint
    • typescript
    • flow-bin

まとめ

  • 原因は調べきれていないが、lerna が原因で使えていない問題はいろいろありそう

    • issue は 200 以上ある
  • 早めに地雷を踏んでおく

image


Written by Keisuke Kan who lives and works in Japan building useful things. You should follow him on Twitter